Skip to navigation

Upsert Price List Assignment

Upsert a single Price List Assignment for a Price List. Note:

  • Supports up to 25 simultaneous PUT requests. Running more than the allowed number of requests concurrently on the same store will result in a 429 status error and your additional requests will fail.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

price_list_idintegerRequired

The ID of the Price List requested.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
customer_group_idintegerRequired
Customer group ID for assignment.
channel_idintegerRequired
Channel ID for assignment

Response

A price list assignment.
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

404
Not Found Error